ApiSession
POST
/v1/auth/try-refresh

Authorization

Descope Project ID:Refresh JWT
AuthorizationBearer <token>

Project ID:Refresh JWT as bearer token.

In: header

Request Body

application/json

externalToken?string

Refresh the current session if it is valid, will not fail if the refresh token is missing or invalid

curl -X POST "https://api.descope.com/v1/auth/try-refresh" \  -H "Content-Type: application/json" \  -d '{}'
{  "sessionJwt": "string",  "refreshJwt": "string",  "cookieDomain": "string",  "cookiePath": "string",  "cookieMaxAge": 0,  "cookieExpiration": 0,  "sessionExpiration": 0,  "externalToken": "string",  "claims": {},  "tenantSSOID": "string",  "trustedDeviceJwt": "string",  "nextRefreshSeconds": 0,  "cookieName": "string",  "sessionCookieName": "string",  "sessionCookieDomain": "string"}
/** * This is a copy of JWTResponse with all fields optional *  This is used so in case an empty response is returned, it won't send zero values */export interface Response {sessionJwt?: stringrefreshJwt?: stringcookieDomain?: stringcookiePath?: stringcookieMaxAge?: numbercookieExpiration?: number/** * For convenience, we use the same field numbers as in JWTResponse *  optional userv1.ResponseUser user = 7; *  optional bool firstSeen = 8; *  optional IDPResponse idpResponse = 11; */sessionExpiration?: numberexternalToken?: stringclaims?: {}tenantSSOID?: stringtrustedDeviceJwt?: stringnextRefreshSeconds?: numbercookieName?: stringsessionCookieName?: stringsessionCookieDomain?: string}
Was this helpful?